[Dell Inspiron 7737] System reboots itself after powered off

Bug #1288161 reported by Po-Hsu Lin on 2014-03-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Saucy
Medium
Edward Lin
Trusty
Medium
Edward Lin
linux-lts-saucy (Ubuntu)
Medium
Unassigned
Precise
Medium
Edward Lin
Saucy
Undecided
Unassigned
Trusty
Undecided
Unassigned
linux-lts-trusty (Ubuntu)
Medium
Unassigned
Precise
Medium
Edward Lin
Saucy
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

CID: 201306-13869 Dell Inspiron 7737

This system will reboot itself after being powered off.

Step:
1. Install 12.04.4, boot to desktop
2. Power it off by using the "Shut down..." button in the system menu

Expected result:
* The system should be powered off.

Actual result:
* The system will be powered off, but few seconds later, it boots itself automatically. This happens no matter you're using:
"Shut down..." by the system menu
Press the power button and press enter in the pop-up menu to shut it down
"sudo init 0" in terminal
"sudo shutdown -h now" in terminal

The only way to power it off is to hold the power button during the POST stage.

I have it tested with different BIOS version (A04, A05 and the latest A06), no luck
Also tested with different versions of Ubuntu, here is the result:
A06 / 12.04.4 - reboots automatically
A05 / 12.04.4 - reboots automatically
A04 / 12.04.4 - reboots automatically
A06 / 12.04.3 - reboots automatically
A05 / 12.04.2 + 3.11.0-15 + upgrade to 12.04.4 - reboots automatically
A06 / 12.04.2 + 3.11.0-15 + upgrade to 12.04.4 - reboots automatically
A06 / 12.04.2 + 3.11.0-15 - works fine
A06 / 12.04.2 + 3.8.0-29 - works fine
A06 / 12.04.2 - works fine
A06 / 12.04 + update(12.04.4 + 3.2.0.59) - works fine
A06 / 13.10 - works fine
A06 / 14.04 dailylive (Feb.27 2014) - works fine
A06 / OEM image (20131122)- works fine

Base on these result, this might not be a kernel-related issue, since it works with 12.04.2 + 3.11.0-15
But I am not sure which package should I report to, please feel free to change it.

Also note that this issue could be found in private bug 1194729 as well.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.11.0-15-generic 3.11.0-15.25~precise1 [modified: boot/vmlinuz-3.11.0-15-generic]
ProcVersionSignature: Ubuntu 3.11.0-15.25~precise1-generic 3.11.10
Uname: Linux 3.11.0-15-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.11.0-15-generic.
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 1: PCH [HDA Intel PCH], device 0: ALC283 Analog [ALC283 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1728 F.... pulseaudio
 /dev/snd/controlC1: ubuntu 1728 F.... pulseaudio
CRDA: Error: [Errno 2] 沒有此一檔案或目錄
Card0.Amixer.info:
 Card hw:0 'MID'/'HDA Intel MID at 0xd0610000 irq 64'
   Mixer name : 'Intel Haswell HDMI'
   Components : 'HDA:80862807,80860101,00100000'
   Controls : 21
   Simple ctrls : 3
Card1.Amixer.info:
 Card hw:1 'PCH'/'HDA Intel PCH at 0xd0614000 irq 63'
   Mixer name : 'Realtek ALC283'
   Components : 'HDA:10ec0283,102805fb,00100003'
   Controls : 24
   Simple ctrls : 12
Date: Wed Mar 5 17:47:21 2014
HibernationDevice: RESUME=UUID=ca1e13ff-9c76-4b3d-963a-78920f56fd50
InstallationMedia: Ubuntu 12.04.4 LTS "Precise Pangolin" - Release amd64 (20140204)
MachineType: Dell Inc. Inspiron 7737
MarkForUpload: True
ProcEnviron:
 LANGUAGE=zh_TW:zh
 TERM=xterm
 PATH=(custom, no user)
 LANG=zh_TW.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-15-generic root=UUID=d5c52715-8f14-4117-8f03-9ed38ff6bc99 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-15-generic N/A
 linux-backports-modules-3.11.0-15-generic N/A
 linux-firmware 1.79.9
SourcePackage: linux-lts-saucy
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/27/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd11/27/2013:svnDellInc.:pnInspiron7737:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: Inspiron 7737
dmi.sys.vendor: Dell Inc.

===
break-fix: cb7a386c6c25e85c2710cdb1a498a73794cda660 b753631b3576bf343151a82513c5d56fcda1e24f
break-fix: 8d368a9535b1de2e6ab7b16b10bc5ab576caeeeb b753631b3576bf343151a82513c5d56fcda1e24f

CVE References

Po-Hsu Lin (cypressyew) wrote :
description: updated
Daniel Manrique (roadmr) on 2014-03-05
Changed in linux-lts-saucy (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-saucy (Ubuntu):
assignee: Anthony Wong (anthonywong) → Jesse Sung (wenchien)
Changed in linux-lts-saucy (Ubuntu):
assignee: Jesse Sung (wenchien) → Edward Lin (airken)
Edward Lin (airken) wrote :

With boot parameter acpi_osi="!Windows 2012", this issue seems to disappear.
Test environment:
A06 / 12.04.4 + v3.11.0-{14, 15, 17, 20}
A06 / 12.04.4 + v3.12.{14, 16, 18}
A06 / 12.04.4 + v3.13.{8, 9, 10, 11}

PS: This issue can be reproduced on those kernel versions without acpi_osi boot parameter.

Anthony Wong (anthonywong) wrote :

Bug 1194729 is very similar to this bug.

Changed in linux-lts-saucy (Ubuntu):
status: New → Triaged
Edward Lin (airken) wrote :

Verified with this setting "A06 / 12.04.2 + 3.11.0-15", this issue can be reproduced if reboot command has been run.
I also found that if USB stick is plugged, reboot symptom will disappear.

Edward Lin (airken) wrote :

I add a quirk for 7737 and submit the patch to upstream.
http://marc.info/?l=linux-acpi&m=139943087632618&w=2

Have same problem with Ubuntu 14.04 LSB with Dell Inspiron 7737 laptop. The system reboot itself when i use "Shutdown" in the system menu.

I use kernel linux-image-3.13.0-24-generic_3.13.0-24.47_amd64.deb and this package seems has patch from comment #5, but the issue appears. I try kubuntu 14.04 and the issue appears there too.

Edward Lin (airken) wrote :

Kernel 3.15 and stable will include this patch.
http://marc.info/?l=linux-acpi&m=139950526523173&w=2

Before phasing in this patch, you may add acpi_osi="!Windows 2012" to grub for Dell Inspiron 7737 which is equivalent to this patch.

Edward Lin (airken) wrote :

http://marc.info/?l=linux-acpi&m=140027728914789&w=3
The patch will merge in to v3.15-rc6

Andy Whitcroft (apw) on 2014-05-22
Changed in linux-lts-trusty (Ubuntu):
status: New → Triaged
Changed in linux (Ubuntu):
status: New → Triaged
Changed in linux-lts-saucy (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu):
status: Triaged → Invalid
Changed in linux-lts-trusty (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu):
status: Triaged → Invalid
Changed in linux-lts-saucy (Ubuntu Saucy):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Saucy):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Precise):
status: New → Triaged
Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Triaged
Changed in linux-lts-saucy (Ubuntu Precise):
importance: Undecided → Medium
assignee: nobody → Edward Lin (airken)
Changed in linux-lts-saucy (Ubuntu):
assignee: Edward Lin (airken) → nobody
Changed in linux-lts-trusty (Ubuntu Precise):
assignee: nobody → Edward Lin (airken)
importance: Undecided → Medium
Andy Whitcroft (apw) on 2014-05-22
Changed in linux (Ubuntu Precise):
status: New → Won't Fix
Changed in linux (Ubuntu Saucy):
importance: Undecided → Medium
status: New → Triaged
assignee: nobody → Edward Lin (airken)
Changed in linux (Ubuntu Trusty):
assignee: nobody → Edward Lin (airken)
importance: Undecided → Medium
status: New → Triaged
tags: added: kernel-bug-break-fix
description: updated
Andy Whitcroft (apw) on 2014-05-22
description: updated
Andy Whitcroft (apw) on 2014-05-22
Changed in linux (Ubuntu Precise):
status: Won't Fix → Invalid
Changed in linux-lts-saucy (Ubuntu Precise):
status: Triaged → Confirmed
Changed in linux-lts-trusty (Ubuntu Precise):
status: Triaged → Confirmed
Changed in linux (Ubuntu Saucy):
status: Triaged → Fix Committed
Changed in linux (Ubuntu Trusty):
status: Triaged → Fix Committed
Changed in linux (Ubuntu):
status: Triaged → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
Edward Lin (airken) on 2014-05-30
tags: added: verification-done-trusty
removed: verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.13.0-29.53

---------------
linux (3.13.0-29.53) trusty; urgency=low

  [ Upstream Kernel Changes ]

  * futex-prevent-requeue-pi-on-same-futex.patch futex: Forbid uaddr ==
    uaddr2 in futex_requeue(..., requeue_pi=1)
    - LP: #1326367
    - CVE-2014-3153
  * futex: Validate atomic acquisition in futex_lock_pi_atomic()
    - LP: #1326367
    - CVE-2014-3153
  * futex: Always cleanup owner tid in unlock_pi
    - LP: #1326367
    - CVE-2014-3153
  * futex: Make lookup_pi_state more robust
    - LP: #1326367
    - CVE-2014-3153
 -- Brad Figg <email address hidden> Wed, 04 Jun 2014 08:25:41 -0700

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-trusty - 3.13.0-29.53~precise1

---------------
linux-lts-trusty (3.13.0-29.53~precise1) precise; urgency=low

  [ Upstream Kernel Changes ]

  * futex-prevent-requeue-pi-on-same-futex.patch futex: Forbid uaddr ==
    uaddr2 in futex_requeue(..., requeue_pi=1)
    - LP: #1326367
    - CVE-2014-3153
  * futex: Validate atomic acquisition in futex_lock_pi_atomic()
    - LP: #1326367
    - CVE-2014-3153
  * futex: Always cleanup owner tid in unlock_pi
    - LP: #1326367
    - CVE-2014-3153
  * futex: Make lookup_pi_state more robust
    - LP: #1326367
    - CVE-2014-3153
 -- Brad Figg <email address hidden> Wed, 04 Jun 2014 08:25:41 -0700

Changed in linux-lts-trusty (Ubuntu Precise):
status: Confirmed → Fix Released
status: Confirmed → Fix Released
Andy Whitcroft (apw) on 2014-06-05
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-saucy' to 'verification-done-saucy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-saucy
Edward Lin (airken) on 2014-06-13
tags: added: verification-done-saucy
removed: verification-needed-saucy
Andy Whitcroft (apw) on 2014-06-13
Changed in linux-lts-saucy (Ubuntu Precise):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (11.3 KiB)

This bug was fixed in the package linux-lts-saucy - 3.11.0-24.41~precise1

---------------
linux-lts-saucy (3.11.0-24.41~precise1) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1328350

  [ Kamal Mostafa ]

  * [Config] add debian/gbp.conf

  [ Upstream Kernel Changes ]

  * Revert "macvlan : fix checksums error when we are in bridge mode"
    - LP: #1328148
  * hp-wireless: new driver for hp wireless button for Windows 8
    - LP: #1303737
  * x86, platform: Make HP_WIRELESS option text more descriptive
    - LP: #1303737
  * ACPI: blacklist win8 OSI for Dell Inspiron 7737
    - LP: #1288161
  * [PATCH Saucy SRU]SAUCE: Update Intel Bluetooth firmware
    - LP: #1310558
  * rt2x00: fix beaconing on USB
    - LP: #1328148
  * rtlwifi: rtl8188ee: initialize packet_beacon
    - LP: #1328148
  * Input: synaptics - add min/max quirk for ThinkPad Edge E431
    - LP: #1328148
  * Input: atkbd - fix keyboard not working on some LG laptops
    - LP: #1328148
  * Bluetooth: Fix triggering BR/EDR L2CAP Connect too early
    - LP: #1328148
  * Bluetooth: Fix redundant encryption request for reauthentication
    - LP: #1328148
  * Bluetooth: Add support for Lite-on [04ca:3007]
    - LP: #1328148
  * drm/i915: Break encoder->crtc link separately in intel_sanitize_crtc()
    - LP: #1328148
  * iio:imu:mpu6050: Fixed segfault in Invensens MPU driver due to null
    dereference
    - LP: #1328148
  * rtl8192cu: Fix unbalanced irq enable in error path of rtl92cu_hw_init()
    - LP: #1328148
  * usb: gadget: at91-udc: fix irq and iomem resource retrieval
    - LP: #1328148
  * drm/radeon: use pflip irq on R600+ v2
    - LP: #1328148
  * drm/radeon: check buffer relocation offset
    - LP: #1328148
  * drm/nouveau/acpi: allow non-optimus setups to load vbios from acpi
    - LP: #1328148
  * drm/nouveau: fix another lock unbalance in nouveau_crtc_page_flip
    - LP: #1328148
  * ALSA: usb-audio: work around corrupted TEAC UD-H01 feedback data
    - LP: #1328148
  * USB: OHCI: fix problem with global suspend on ATI controllers
    - LP: #1328148
  * usb: qcserial: add a number of Dell devices
    - LP: #1328148
  * usb: storage: shuttle_usbat: fix discs being detected twice
    - LP: #1328148
  * fsl-usb: do not test for PHY_CLK_VALID bit on controller version 1.6
    - LP: #1328148
  * tty: serial: 8250_core.c Bug fix for Exar chips.
    - LP: #1328148
  * drivers/tty/hvc: don't free hvc_console_setup after init
    - LP: #1328148
  * USB: Nokia 305 should be treated as unusual dev
    - LP: #1328148
  * USB: Nokia 5300 should be treated as unusual dev
    - LP: #1328148
  * HID: usbhid: quirk for Synaptics HD touchscreen
    - LP: #1328148
  * HID: usbhid: quirk for Synaptics Quad HD touchscreen
    - LP: #1328148
  * HID: add NO_INIT_REPORTS quirk for Synaptics Touch Pad V 103S
    - LP: #1328148
  * Input: elantech - fix touchpad initialization on Gigabyte U2442
    - LP: #1328148
  * posix_acl: handle NULL ACL in posix_acl_equiv_mode
    - LP: #1328148
  * mm/compaction: make isolate_freepages start at pageblock boundary
    - LP: #1328148
  * trace: module: Maintain a valid user count
    - LP: #1328148
  * mtd: nuc900_nand:...

Changed in linux-lts-saucy (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.3 KiB)

This bug was fixed in the package linux - 3.11.0-24.41

---------------
linux (3.11.0-24.41) saucy; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1328153

  [ Kamal Mostafa ]

  * [Config] add debian/gbp.conf

  [ Upstream Kernel Changes ]

  * Revert "macvlan : fix checksums error when we are in bridge mode"
    - LP: #1328148
  * hp-wireless: new driver for hp wireless button for Windows 8
    - LP: #1303737
  * x86, platform: Make HP_WIRELESS option text more descriptive
    - LP: #1303737
  * ACPI: blacklist win8 OSI for Dell Inspiron 7737
    - LP: #1288161
  * [PATCH Saucy SRU]SAUCE: Update Intel Bluetooth firmware
    - LP: #1310558
  * rt2x00: fix beaconing on USB
    - LP: #1328148
  * rtlwifi: rtl8188ee: initialize packet_beacon
    - LP: #1328148
  * Input: synaptics - add min/max quirk for ThinkPad Edge E431
    - LP: #1328148
  * Input: atkbd - fix keyboard not working on some LG laptops
    - LP: #1328148
  * Bluetooth: Fix triggering BR/EDR L2CAP Connect too early
    - LP: #1328148
  * Bluetooth: Fix redundant encryption request for reauthentication
    - LP: #1328148
  * Bluetooth: Add support for Lite-on [04ca:3007]
    - LP: #1328148
  * drm/i915: Break encoder->crtc link separately in intel_sanitize_crtc()
    - LP: #1328148
  * iio:imu:mpu6050: Fixed segfault in Invensens MPU driver due to null
    dereference
    - LP: #1328148
  * rtl8192cu: Fix unbalanced irq enable in error path of rtl92cu_hw_init()
    - LP: #1328148
  * usb: gadget: at91-udc: fix irq and iomem resource retrieval
    - LP: #1328148
  * drm/radeon: use pflip irq on R600+ v2
    - LP: #1328148
  * drm/radeon: check buffer relocation offset
    - LP: #1328148
  * drm/nouveau/acpi: allow non-optimus setups to load vbios from acpi
    - LP: #1328148
  * drm/nouveau: fix another lock unbalance in nouveau_crtc_page_flip
    - LP: #1328148
  * ALSA: usb-audio: work around corrupted TEAC UD-H01 feedback data
    - LP: #1328148
  * USB: OHCI: fix problem with global suspend on ATI controllers
    - LP: #1328148
  * usb: qcserial: add a number of Dell devices
    - LP: #1328148
  * usb: storage: shuttle_usbat: fix discs being detected twice
    - LP: #1328148
  * fsl-usb: do not test for PHY_CLK_VALID bit on controller version 1.6
    - LP: #1328148
  * tty: serial: 8250_core.c Bug fix for Exar chips.
    - LP: #1328148
  * drivers/tty/hvc: don't free hvc_console_setup after init
    - LP: #1328148
  * USB: Nokia 305 should be treated as unusual dev
    - LP: #1328148
  * USB: Nokia 5300 should be treated as unusual dev
    - LP: #1328148
  * HID: usbhid: quirk for Synaptics HD touchscreen
    - LP: #1328148
  * HID: usbhid: quirk for Synaptics Quad HD touchscreen
    - LP: #1328148
  * HID: add NO_INIT_REPORTS quirk for Synaptics Touch Pad V 103S
    - LP: #1328148
  * Input: elantech - fix touchpad initialization on Gigabyte U2442
    - LP: #1328148
  * posix_acl: handle NULL ACL in posix_acl_equiv_mode
    - LP: #1328148
  * mm/compaction: make isolate_freepages start at pageblock boundary
    - LP: #1328148
  * trace: module: Maintain a valid user count
    - LP: #1328148
  * mtd: nuc900_nand: NULL dereference in nuc900_nand_enable(...

Changed in linux (Ubuntu Saucy):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Andy Whitcroft (apw) on 2014-06-30
tags: removed: kernel-bug-break-fix
Daniel Manrique (roadmr) on 2014-09-25
Changed in linux-lts-trusty (Ubuntu):
importance: Undecided → Medium
Charles Drolet (cdrolet64) wrote :

I had this problem for a long time. Then I updated the BIOS to A09 and I never had this problem again. So I think it is a BIOS issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers